## cutemaze 1.1.1

=== debian/changelog ===
cutemaze (1.1.1-3) unstable; urgency=medium

  * Removed hardcoded library build dependencies (Closes: #767176)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Sat, 08 Nov 2014 06:52:09 +0100

cutemaze (1.1.1-2) unstable; urgency=medium

  * Copyright added for icons/oxygen/*
  * Added gbp.conf to d/
  * Removed qt5-default from Build-Deps
    - added libqt5gui5, libqt5core5a, libqt5svg5, libqt5widgets 
  * Bump standards to 3.9.6
    - no changes needed

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Sat, 08 Nov 2014 06:51:40 +0100

cutemaze (1.1.1-1) unstable; urgency=low

  * Initial release (Closes: #748088)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Tue, 13 May 2014 19:04:53 +0800
