=== debian/control ===
Source: cutemaze
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
Build-Depends:
 debhelper (>= 9),
 libqt5svg5-dev,
 pkg-config,
 qtbase5-dev,
Standards-Version: 3.9.6
Homepage: http://gottcode.org/cutemaze/
Vcs-Git: git://anonscm.debian.org/pkg-games/cutemaze.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/cutemaze.git

Package: cutemaze
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: single player maze game
 CuteMaze is a simple, top-down game in which mazes are randomly generated 
 using one of a choice of several different algorithms. You move the character 
 through the maze while hunting for targets (cheese, by default) - 
 the game is won once all of these targets have been picked up.
