## cutemaze 1.2.0

=== debian/changelog ===
cutemaze (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * Bump standards to 3.9.8
    - no changes needed
  * Updated Vcs fields to secure schema
  * Updated emails and dates in d/copyright
  * Added hardening to d/rules
  * qttools5-dev-tools added to build deps

 -- Dariusz Dwornikowski <darek@debian.org>  Sat, 21 Jan 2017 14:01:55 +0100
