=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
+Uploaders: Dariusz Dwornikowski <darek@debian.org>
 Build-Depends:
  debhelper (>= 9),
+ qttools5-dev-tools,
  libqt5svg5-dev,
  pkg-config,
  qtbase5-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://gottcode.org/cutemaze/
-Vcs-Git: git://anonscm.debian.org/pkg-games/cutemaze.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/cutemaze.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/cutemaze.git
+Vcs-Browser: https://anonscm.debian.org/pkg-games/cutemaze.git
 
 Package: cutemaze
 Architecture: any
