## cutemaze 1.2.2

=== debian/changelog ===
cutemaze (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2 (Closes: #896444).
  * Bump standards to 4.1.4.
  * Updated dates and write secure URI in d/copyright.
  * Bumped to debhelper and compat level 11.
  * Bumped to Standards-Version 4.1.4.
  * Removed unnecessary dh argument --parallel on d/rules.
  * Added override_dh_installchangelogs to install upstream NEWS file.
  * Drop deprecated debian/menu file.
  * Install upstream manpage (removed debian manpage).
  * Migrated to the salsa repository.
  * Added debian/upstream/metadata file.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 21 Apr 2018 18:11:23 +0100
