=== debian/control ===
Source: cutemaze
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Innocent De Marchi <tangram.peces@gmail.com>
Build-Depends:
 debhelper (>= 11),
 qttools5-dev-tools,
 libqt5svg5-dev,
 pkg-config,
 qtbase5-dev,
Standards-Version: 4.1.4
Homepage: https://gottcode.org/cutemaze/
Vcs-Git: https://salsa.debian.org/games-team/cutemaze.git
Vcs-Browser: https://salsa.debian.org/games-team/cutemaze

Package: cutemaze
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: single player maze game
 CuteMaze is a simple, top-down game in which mazes are randomly generated
 using one of a choice of several different algorithms. You move the character
 through the maze while hunting for targets (cheese, by default) -
 the game is won once all of these targets have been picked up.
