=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
DFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_configure:
	/usr/bin/qmake -qt5 -makefile -nocache \
	QMAKE_LFLAGS_RELEASE="$(LDFLAGS)" QMAKE_CFLAGS_RELEASE="$(CFLAGS)" \
	QMAKE_CXXFLAGS_RELEASE="$(CXXFLAGS)" QMAKE_CPPFLAGS_RELEASE="$(CPPFLAGS)" PREFIX=/usr BINDIR=games

override_dh_installchangelogs:
	dh_installchangelogs NEWS
