## cutemaze 1.2.3

=== debian/changelog ===
cutemaze (1.2.3-1) unstable; urgency=medium

  * New upstream version 1.2.3.
  * Updated dates and write secure URI in d/copyright.
  * Removed add-desktop-keyword.patch (has been added by the
    author in the sources).

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sun, 10 Jun 2018 18:08:12 +0100
