## cutemaze 1.2.4

=== debian/changelog ===
cutemaze (1.2.4-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards to 4.1.5.
  * Removed installchangelogs from d/rules (the
    upstream added a changelog to sources).

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sun, 22 Jul 2018 12:16:05 +0100
