=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,3 @@
 	/usr/bin/qmake -qt5 -makefile -nocache \
 	QMAKE_LFLAGS_RELEASE="$(LDFLAGS)" QMAKE_CFLAGS_RELEASE="$(CFLAGS)" \
 	QMAKE_CXXFLAGS_RELEASE="$(CXXFLAGS)" QMAKE_CPPFLAGS_RELEASE="$(CPPFLAGS)" PREFIX=/usr BINDIR=games
-
-override_dh_installchangelogs:
-	dh_installchangelogs NEWS
