## cutemaze 1.2.5

=== debian/changelog ===
cutemaze (1.2.5-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:12:15 +0100

cutemaze (1.2.5-1) unstable; urgency=medium

  * New upstream version 1.2.5
  * Switch to debhelper-compat = 12.
  * Declare compliance with Debian Policy 4.4.0.
  * Remove Innocent De Marchi from Uploaders and add myself to it.
    (Closes: #922908)

  [ Helmut Grohne ]
  * Fix FTCBFS. (Closes: #923584)

 -- Markus Koschany <apo@debian.org>  Sat, 10 Aug 2019 18:05:54 +0200
