=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Innocent De Marchi <tangram.peces@gmail.com>
+Uploaders: Markus Koschany <apo@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  qttools5-dev-tools,
  libqt5svg5-dev,
  pkg-config,
  qtbase5-dev,
-Standards-Version: 4.1.5
+Standards-Version: 4.4.0
 Homepage: https://gottcode.org/cutemaze/
 Vcs-Git: https://salsa.debian.org/games-team/cutemaze.git
 Vcs-Browser: https://salsa.debian.org/games-team/cutemaze
