=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export QT_SELECT=qt5

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -nocache \
	QMAKE_CFLAGS_RELEASE="$(CFLAGS)" \
	QMAKE_CXXFLAGS_RELEASE="$(CXXFLAGS)" QMAKE_CPPFLAGS_RELEASE="$(CPPFLAGS)" BINDIR=games
