=== debian/watch ===
version=3
https://github.com/gottcode/cutemaze/releases .*/archive/v(\d[\d\.]+)\.tar\.gz
