## cutemaze 1.2.6

=== debian/changelog ===
cutemaze (1.2.6-1) unstable; urgency=medium

  * New upstream version 1.2.6.
  * Declare compliance with Debian Policy 4.5.0.

 -- Markus Koschany <apo@debian.org>  Sun, 26 Apr 2020 15:23:27 +0200
