=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libqt5svg5-dev,
  pkg-config,
  qtbase5-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://gottcode.org/cutemaze/
 Vcs-Git: https://salsa.debian.org/games-team/cutemaze.git
 Vcs-Browser: https://salsa.debian.org/games-team/cutemaze
