## cutemaze 1.3.0

=== debian/changelog ===
cutemaze (1.3.0-1) unstable; urgency=medium

  * Team upload.

  [ Markus Koschany ]
  * New upstream version 1.3.0.
  * Update debian/watch.
  * Declare compliance with Debian Policy 4.6.0.
  * Switch to debhelper-compat = 13.

  [ Pino Toscano ]
  * Drop the dirs, install, manpages files that create directories, and install
    the application pixmap, and the man page, as the upstream build system
    already creates/installs them properly.
  * Drop debian/cutemaze.xpm, as upstream already ships it.

 -- Markus Koschany <apo@debian.org>  Thu, 14 Oct 2021 15:51:35 +0200
