=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Markus Koschany <apo@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  qttools5-dev-tools,
  libqt5svg5-dev,
  pkg-config,
  qtbase5-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://gottcode.org/cutemaze/
 Vcs-Git: https://salsa.debian.org/games-team/cutemaze.git
 Vcs-Browser: https://salsa.debian.org/games-team/cutemaze
