=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
 
 %:
-	dh $@
+	dh $@ --buildsystem=qmake
 
 override_dh_auto_configure:
 	dh_auto_configure -- -nocache \
