=== debian/changelog ===
cutemaze (1.3.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:42:31 +1100

cutemaze (1.3.2-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:50:58 +0000

cutemaze (1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2.
  * Declare compliance with Debian Policy 4.6.2.
  * Switch to QT 6.
  * Use cmake instead of qmake to build cutemaze.

 -- Markus Koschany <apo@debian.org>  Thu, 12 Jan 2023 23:51:48 +0100
