=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: cutemaze
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Markus Koschany <apo@debian.org>
 Build-Depends:
+ cmake,
  debhelper-compat (= 13),
- qttools5-dev-tools,
- libqt5svg5-dev,
+ qt6-tools-dev,
+ qt6-svg-dev,
  pkg-config,
- qtbase5-dev,
-Standards-Version: 4.6.0
+ qt6-base-dev,
+Standards-Version: 4.6.2
 Homepage: https://gottcode.org/cutemaze/
 Vcs-Git: https://salsa.debian.org/games-team/cutemaze.git
 Vcs-Browser: https://salsa.debian.org/games-team/cutemaze
