=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/cutemaze-$1\.tar\.gz/ \
https://github.com/gottcode/cutemaze/tags .*/v?(\d\S+)\.tar\.gz
