=== debian/changelog ===
cutemaze (1.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.3
  * Update Build-Depends: pkg-config -> pkgconf
  * Set Rules-Requires-Root: no

  [ Markus Koschany ]
  * Drop gbp.conf. Update metadata.
  * Update copyright years

 -- Alexandre Detiste <tchet@debian.org>  Wed, 16 Oct 2024 12:53:04 +0200
