=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: cutemaze
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Markus Koschany <apo@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
+ pkgconf,
  qt6-tools-dev,
  qt6-svg-dev,
- pkg-config,
  qt6-base-dev,
+Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://gottcode.org/cutemaze/
 Vcs-Git: https://salsa.debian.org/games-team/cutemaze.git
