=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,3 @@
 		-DCMAKE_BUILD_TYPE=Release \
 		-DCMAKE_INSTALL_PREFIX=/usr \
 		-DCMAKE_INSTALL_BINDIR=games \
-
