=== debian/changelog ===
cutemaze (1.3.4-1) unstable; urgency=medium

  * New upstream version 1.3.4.
  * Declare compliance with Debian Policy 4.7.0.

 -- Markus Koschany <apo@debian.org>  Sat, 08 Feb 2025 16:56:26 +0100
