## cutemaze 1.3.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 # Configure project
-project(cutemaze VERSION 1.3.4 LANGUAGES CXX)
+project(cutemaze VERSION 1.3.5 LANGUAGES CXX)
 
 set(project_copyright "2007-2025 Graeme Gott")
 
@@ -31,6 +31,19 @@
 
 # Create program
 qt_add_executable(cutemaze
+	# Headers
+	src/board.h
+	src/cell.h
+	src/locale_dialog.h
+	src/maze.h
+	src/new_game_dialog.h
+	src/path.h
+	src/scores_dialog.h
+	src/settings.h
+	src/solver.h
+	src/theme.h
+	src/window.h
+	# Sources
 	src/board.cpp
 	src/cell.cpp
 	src/locale_dialog.cpp
@@ -43,6 +56,7 @@
 	src/solver.cpp
 	src/theme.cpp
 	src/window.cpp
+	# Resources
 	icons/icons.qrc
 	themes/theme.qrc
 	preview/preview.qrc
@@ -120,8 +134,9 @@
 	install(FILES ${translations_QM} DESTINATION ${CMAKE_INSTALL_DATADIR}/cutemaze/translations)
 	install(FILES doc/cutemaze.6 DESTINATION ${CMAKE_INSTALL_MANDIR}/man6 COMPONENT doc)
 	install(DIRECTORY icons/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
-	install(FILES icons/cutemaze.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
-	install(FILES icons/cutemaze.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+
+	include(cmake/TranslateMetainfo.cmake)
+	process_and_install_metainfo(PO_DIR ${CMAKE_SOURCE_DIR}/icons/po)
 endif()
 
 set_property(SOURCE src/main.cpp APPEND PROPERTY COMPILE_DEFINITIONS CUTEMAZE_DATADIR="${datadir}")
