=== debian/changelog ===
cutemaze (1.3.5-1) unstable; urgency=medium

  * New upstream version 1.3.5.
  * Declare compliance with Debian Policy 4.7.2.

 -- Markus Koschany <apo@debian.org>  Thu, 03 Apr 2025 04:49:12 +0200
